//========================================================================================
//
//	File:				FWPriMem.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWPRIMEM_H
#define FWPRIMEM_H

// this unit doesn't require FWNew.h, 
// but it is included by other units that do
#ifndef FWNEW_H
#include "FWNew.h"
#endif

#ifndef SLPRIMEM_H
#include "SLPriMem.h"
#endif

//----------------------------------------------------------------------------------------
//	FW_BlockMove
//----------------------------------------------------------------------------------------

template <class tType>
inline void FW_BlockMove(const tType* source, tType* destination, int numberItems)
{
	FW_PrimitiveCopyMemory(source, destination, numberItems*sizeof(tType));
}

#endif
